# Uses of Class
org.apache.avro.idl.IdlParser.FullTypeContext

## Uses of IdlParser.FullTypeContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.FullTypeContext
Modifier and Type
Field
Description
`IdlParser.FullTypeContext`
IdlParser.ArrayTypeContext.`elementType`
`IdlParser.FullTypeContext`
IdlParser.FieldDeclarationContext.`fieldType`
`IdlParser.FullTypeContext`
IdlParser.UnionTypeContext.`fullType`
`IdlParser.FullTypeContext`
IdlParser.MainSchemaDeclarationContext.`mainSchema`
`IdlParser.FullTypeContext`
IdlParser.FormalParameterContext.`parameterType`
`IdlParser.FullTypeContext`
IdlParser.MapTypeContext.`valueType`
Fields in org.apache.avro.idl with type parameters of type IdlParser.FullTypeContext
Modifier and Type
Field
Description
`List<IdlParser.FullTypeContext>`
IdlParser.UnionTypeContext.`types`
Methods in org.apache.avro.idl that return IdlParser.FullTypeContext
Modifier and Type
Method
Description
`IdlParser.FullTypeContext`
IdlParser.ArrayTypeContext.`fullType()`
`IdlParser.FullTypeContext`
IdlParser.FieldDeclarationContext.`fullType()`
`IdlParser.FullTypeContext`
IdlParser.FormalParameterContext.`fullType()`
`final IdlParser.FullTypeContext`
IdlParser.`fullType()`
`IdlParser.FullTypeContext`
IdlParser.MainSchemaDeclarationContext.`fullType()`
`IdlParser.FullTypeContext`
IdlParser.MapTypeContext.`fullType()`
`IdlParser.FullTypeContext`
IdlParser.UnionTypeContext.`fullType(int i)`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.FullTypeContext
Modifier and Type
Method
Description
`List<IdlParser.FullTypeContext>`
IdlParser.UnionTypeContext.`fullType()`
Methods in org.apache.avro.idl with parameters of type IdlParser.FullTypeContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterFullType(IdlParser.FullTypeContext ctx)`
Enter a parse tree produced by `IdlParser.fullType()`.
`void`
IdlListener.`enterFullType(IdlParser.FullTypeContext ctx)`
Enter a parse tree produced by `IdlParser.fullType()`.
`void`
IdlBaseListener.`exitFullType(IdlParser.FullTypeContext ctx)`
Exit a parse tree produced by `IdlParser.fullType()`.
`void`
IdlListener.`exitFullType(IdlParser.FullTypeContext ctx)`
Exit a parse tree produced by `IdlParser.fullType()`.